Package com.sun.jna.platform.win32

## Class WinCrypt.CRYPT_SIGN_MESSAGE_PARA

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinCrypt.CRYPT_SIGN_MESSAGE_PARA

Direct Known Subclasses:
  `WinCrypt.CRYPT_SIGN_MESSAGE_PARA.ByReference`, `WinCrypt.CRYPT_VERIFY_MESSAGE_PARA.ByReference`, `WinCryptUtil.MANAGED_CRYPT_SIGN_MESSAGE_PARA`

Enclosing interface:
  WinCrypt

    @FieldOrder({"cbSize","dwMsgEncodingType","pSigningCert","HashAlgorithm","pvHashAuxInfo","cMsgCert","rgpMsgCert","cMsgCrl","rgpMsgCrl","cAuthAttr","rgAuthAttr","cUnauthAttr","rgUnauthAttr","dwFlags","dwInnerContentType","HashEncryptionAlgorithm","pvHashEncryptionAuxInfo"})
    public static class WinCrypt.CRYPT_SIGN_MESSAGE_PARA
    extends Structure

The CRYPT_SIGN_MESSAGE_PARA structure contains information for signing messages using a specified signing certificate context.

See Also:
  MSDN

### Nested Class Summary

Nested Classes
`static class` `WinCrypt.CRYPT_SIGN_MESSAGE_PARA.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `cAuthAttr`
`int` `cbSize`
`int` `cMsgCert`
`int` `cMsgCrl`
`int` `cUnauthAttr`
`int` `dwFlags`
`int` `dwInnerContentType`
`int` `dwMsgEncodingType`
`WinCrypt.CRYPT_ALGORITHM_IDENTIFIER` `HashAlgorithm`
`WinCrypt.CRYPT_ALGORITHM_IDENTIFIER` `HashEncryptionAlgorithm`
`WinCrypt.CERT_CONTEXT.ByReference` `pSigningCert`
`Pointer` `pvHashAuxInfo`
`Pointer` `pvHashEncryptionAuxInfo`
`Pointer` `rgAuthAttr`
`Pointer` `rgpMsgCert`
`Pointer` `rgpMsgCrl`
`Pointer` `rgUnauthAttr`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`CRYPT_SIGN_MESSAGE_PARA()`

### Method Summary

All Methods Instance Methods Concrete Methods
`WinCrypt.CRYPT_ATTRIBUTE[]` `getRgAuthAttr()`
`WinCrypt.CERT_CONTEXT[]` `getRgpMsgCert()`
`WinCrypt.CRL_CONTEXT[]` `getRgpMsgCrl()`
`WinCrypt.CRYPT_ATTRIBUTE[]` `getRgUnauthAttr()`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### cbSize

    public int cbSize

#### dwMsgEncodingType

    public int dwMsgEncodingType

#### pSigningCert

    public WinCrypt.CERT_CONTEXT.ByReference pSigningCert

#### HashAlgorithm

    public WinCrypt.CRYPT_ALGORITHM_IDENTIFIER HashAlgorithm

#### pvHashAuxInfo

    public Pointer pvHashAuxInfo

#### cMsgCert

    public int cMsgCert

#### rgpMsgCert

    public Pointer rgpMsgCert

#### cMsgCrl

    public int cMsgCrl

#### rgpMsgCrl

    public Pointer rgpMsgCrl

#### cAuthAttr

    public int cAuthAttr

#### rgAuthAttr

    public Pointer rgAuthAttr

#### cUnauthAttr

    public int cUnauthAttr

#### rgUnauthAttr

    public Pointer rgUnauthAttr

#### dwFlags

    public int dwFlags

#### dwInnerContentType

    public int dwInnerContentType

#### HashEncryptionAlgorithm

    public WinCrypt.CRYPT_ALGORITHM_IDENTIFIER HashEncryptionAlgorithm

#### pvHashEncryptionAuxInfo

    public Pointer pvHashEncryptionAuxInfo

### Constructor Detail

#### CRYPT_SIGN_MESSAGE_PARA

    public CRYPT_SIGN_MESSAGE_PARA()

### Method Detail

#### getRgpMsgCert

    public WinCrypt.CERT_CONTEXT[] getRgpMsgCert()

#### getRgpMsgCrl

    public WinCrypt.CRL_CONTEXT[] getRgpMsgCrl()

#### getRgAuthAttr

    public WinCrypt.CRYPT_ATTRIBUTE[] getRgAuthAttr()

#### getRgUnauthAttr

    public WinCrypt.CRYPT_ATTRIBUTE[] getRgUnauthAttr()